Package ru.bitel.bgbilling.modules.payonline.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<B>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.payonline.server.bean.TransactionManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class TransactionManager
    extends AbstractTransactionManager<Transaction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `PAYMENT_TYPE_CHARGE` |
  `static int` | `PAYMENT_TYPE_PAYMENT` |

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `logger, moduleSetup`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TransactionManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addPaymentToTransaction​(long transactionId, int paymentId, int paymentType)` |
  `void` | `addUserData​(int contactId, java.lang.String cardNumber, java.lang.String rebillAnchor)` | Добавление в БД информации о карте (4 последние цифры) и пользователе этой карты (rebillAnchor - это фактически id пользователя в системе payonline)
  `void` | `deletePaymentToTransaction​(long transactionId)` |
  `Transaction` | `getByTransId​(long transId)` |
  `protected Transaction` | `getFromRS​(java.sql.ResultSet rs)` |
  `protected Transaction` | `getFromRS​(java.sql.ResultSet rs, boolean setContractTitle)` |
  `java.util.List<Transaction>` | `getList()` |
  `java.util.List<Transaction>` | `getList​(int contractId)` |
  `java.util.List<Transaction>` | `getList​(int contractId, Period period)` |
  `int` | `getPaymentIdToTransaction​(long transactionId, int paymentType)` |
  `void` | `searchTransaction​(SearchResult<Transaction> searchResult, int contractId, java.lang.String contractTitle, java.lang.String transactionStatus)` |
  `protected void` | `updateImpl​(Transaction b)` |

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `doConnection, doConnection, getParameter, psStatus, queryStatus, searchTransaction, setConnectionTimeout, setParameter`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PAYMENT_TYPE_PAYMENT

    public static final int PAYMENT_TYPE_PAYMENT
    See Also:
      Constant Field Values

  - ### PAYMENT_TYPE_CHARGE

    public static final int PAYMENT_TYPE_CHARGE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### updateImpl

    protected void updateImpl​(Transaction b) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getFromRS

    protected Transaction getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected Transaction getFromRS​(java.sql.ResultSet rs, boolean setContractTitle) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### searchTransaction

    public void searchTransaction​(SearchResult<Transaction> searchResult, int contractId, java.lang.String contractTitle, java.lang.String transactionStatus) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `searchTransaction` in class `AbstractTransactionManager<Transaction>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getList

    public java.util.List<Transaction> getList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getList

    public java.util.List<Transaction> getList​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getList

    public java.util.List<Transaction> getList​(int contractId, Period period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getByTransId

    public Transaction getByTransId​(long transId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addUserData

    public void addUserData​(int contactId, java.lang.String cardNumber, java.lang.String rebillAnchor) throws ru.bitel.bgbilling.common.BGException
    Добавление в БД информации о карте (4 последние цифры) и пользователе этой карты (rebillAnchor - это фактически id пользователя в системе payonline)
    Parameters:
      `contactId` - код договора
      `cardNumber` - номер карты (последние 4 цифры)
      `rebillAnchor` - идентификатор пользователя в системе payonline
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addPaymentToTransaction

    public void addPaymentToTransaction​(long transactionId, int paymentId, int paymentType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deletePaymentToTransaction

    public void deletePaymentToTransaction​(long transactionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPaymentIdToTransaction

    public int getPaymentIdToTransaction​(long transactionId, int paymentType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`